Uploaded image for project: 'Minecraft: Java Edition'
  1. Minecraft: Java Edition
  2. MC-130954

Missing 32-bit lwjgl for lwjgl-3.1.2-natives-linux.jar

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reopened
    • Resolution: Unresolved
    • Affects Version/s: Minecraft 1.13-pre1, Minecraft 1.13-pre5, Minecraft 1.13.2
    • Fix Version/s: None
    • Labels:
    • Environment:
    • Confirmation Status:
      Unconfirmed
    • Category:
      (Unassigned)

      Description

      My Minecraft won't start up the 1.13-pre1 snapshot. On 32-bit Ubuntu Linux, it cites a missing liblwjgl32.

      A 64-bit Ubuntu runs 1.13-pre1 fine (starts, displays menu, creates and loads world).

      ls -l /home/viking/.minecraft/versions/1.13-pre1/
      {{ total 15724}}
      -rw-rw-r-- 1 viking viking 16064526 Jun 6 11:58 1.13-pre1.jar
      -rw-rw-r-- 1 viking viking 31624 Jun 6 14:01 1.13-pre1.json

      unzip -l /home/viking/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl-platform/2.9.4-nightly-20150209/lwjgl-platform-2.9.4-nightly-20150209-natives-linux.jar
      {{ (This worked for 1.12.2 from the relevant json)}}
      {{ Archive: /home/viking/.minecraft/libraries/org/lwjgl/lwjgl/lwjgl-platform/2.9.4-nightly-20150209/lwjgl-platform-2.9.4-nightly-20150209-natives-linux.jar}}
      {{ Length Date Time Name}}
      {{ --------- ---------- ----- ----}}
      {{ 0 2015-02-09 16:18 META-INF/}}
      {{ 107 2015-02-09 16:18 META-INF/MANIFEST.MF}}
      {{ 395108 2015-02-09 15:53 liblwjgl.so}}
      {{ 469936 2015-02-09 15:53 liblwjgl64.so}}
      {{ 368392 2013-04-07 00:53 libopenal.so}}
      {{ 404085 2013-04-07 00:53 libopenal64.so}}
      {{ --------- -------}}
      {{ 1637628 6 files}}

       

      unzip -l /home/viking/.minecraft/libraries/org/lwjgl/lwjgl/3.1.2/lwjgl-3.1.2-natives-linux.jar
      {{ (This was loaded for 1.13-pre1 from the relevant json)}}
      {{ Archive: /home/viking/.minecraft/libraries/org/lwjgl/lwjgl/3.1.2/lwjgl-3.1.2-natives-linux.jar}}
      {{ Length Date Time Name}}
      {{ --------- ---------- ----- ----}}
      {{ 331592 2017-05-15 18:14 liblwjgl.so}}
      {{ 41 2017-05-15 18:14 liblwjgl.so.git}}
      {{ 42 2017-05-15 18:57 liblwjgl.so.sha1}}
      {{ --------- -------}}
      {{ 331675 3 files}}

      file liblwjgl.so:
      /home/viking/.minecraft/libraries/org/lwjgl/lwjgl/3.1.2/liblwjgl.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=d91e73d2dbbd37b323f304fbd8627f203d9acc36, stripped

      As you can see, there's no 32-bit library to link, causing Minecraft to terminate at the linking stage.

      I hope this helps you out. We'd really really like a 32-bit compatible linux lwjgl to use, as I won't be upgrading this machine for a while yet.

      Cheers, BrickViking (a.k.a. DrSmokey)

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                brickviking Eric Gillespie
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated: